%define upstream_name    Scalar-Defer
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Lazy evaluation in Perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Class::InsideOut)
BuildRequires:  perl(Exporter::Lite)
BuildArch:      noarch


%description
This module exports two functions, defer and lazy, for constructing values that
are evaluated on demand. It also exports a force function to force evaluation
of a deferred value.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL -n INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Scalar

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-8pclos2017
- rebuild against updates

